﻿using BPA.SAAS.Manage.Application.AExternalPlatform.BaseDto;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Dtos;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Services
{
    public interface IGoodsService
    {
        /// <summary>
        /// 分页查询商品
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<PageUtil<List<GoodsDto>>> GetGoodsPageList(GoodsPageInputDto inputDto);
        /// <summary>
        /// 添加商品
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> AddGoods(BaseRequestDto<GoodsInsertDto> dto);
        /// <summary>
        /// 更新商品
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> UpdateGoods(BaseRequestDto<GoodsUpdateDto> dto);
        /// <summary>
        /// 删除商品
        /// </summary>
        /// <param name="ids"></param>
        /// <returns></returns>
        Task<bool> DeleteGoods(string[] ids);
        /// <summary>
        ///添加商品属性
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
       Task<bool> AddGoodsAttribute(GoodsAttributeinsertDto dto);
        /// <summary>
        /// 查询商品属性
        /// </summary>
        /// <returns></returns>
       Task<List<GoodsAttributeVewDto>> GetGoodsAttributeList();
        /// <summary>
        /// 查询商品工艺
        /// </summary>
        /// <param name="goodsId"></param>
        /// <returns></returns>
       Task<List<GoodsTechnologyActionListViewDto>> GetGoodsTechnologyAction(string goodsId);
        /// <summary>
        /// 删除商品工艺
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
       Task<bool> DeleteGoodsTechnologyAction(string id);
    }
}
