﻿using BPA.SAAS.Manage.Application.AExternalPlatform.Enum;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Dtos;
using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.DataBase;
using BPA.SAAS.Manage.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.SAAS.Manage.Application.AExternalPlatform.BaseDto;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Services
{
    public interface IMaterialServices
    {
        /// <summary>
        /// 分页查询物料
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<PageUtil<List<MaterialDto>>> GetMaterialPageList(MaterialPageInputDto inputDto);


        /// <summary>
        /// 添加物料
        /// </summary>
        /// <param name="InputDto"></param>
        /// <returns></returns>
        Task<bool> AddMaterial(BaseRequestDto<MaterialCreateDto> inputDto);

        /// <summary>
        /// 删除物料
        /// </summary>
        /// <param name="MaterialId"></param>
        /// <returns></returns>
        Task<bool> DelMaterial(BaseRequestDto<DelMaterialDto> inputDto);


        /// <summary>
        /// 修改物料
        /// </summary>
        /// <param name="InputDto"></param>
        /// <returns></returns>
        Task<bool> UpdateMateria(BaseRequestDto<MaterialUpdateDto> inputDto);
    }
}
