﻿using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Application.Device.Dtos.ProductTopics;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.Product;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Interface
{
    public interface IProductTopicsService
    {
        /// <summary>
        /// 分页查询
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
       Task<PageUtil> GetProductTopicsPage(ProductTopicsQueryInputDto inputDto);
        /// <summary>
        /// 查询topics列表
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<List<BPA_ProductTopics>> GetProductTopicList(ProductTopicsQueryDto inputDto);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> AddProductTopics(ProductTopicsBaseDto inputDto);
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> UpdateProductTopics(ProductTopicsBaseDto inputDto);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="inputList"></param>
        /// <returns></returns>
        Task<bool> DelProductTopics(List<string> inputList);
    }
}
