﻿using BPA.SAAS.Manage.Application.Org.Dtos.Company;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Org.Interface
{
    public interface ICompanyService
    {
        /// <summary>
        /// 查询企业信息
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>

        Task<PageUtil> CompanyPage(CompanyDtoPageInput input);
        /// <summary>
        /// 添加企业信息
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> AddCompany(CompanyDtoInput input);
        /// <summary>
        /// 修改企业信息
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> UpdateCompany(CompanyDtoInput input);
        // <summary>
        /// 删除企业信息
        /// </summary>
        /// <param name="inputList"></param>
        /// <returns></returns>
        Task<bool> BatchDelCompany(List<string> inputList);
        /// <summary>
        /// 启用
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<bool> Enable(string Id);
        /// <summary>
        /// 禁用
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<bool> Disable(string Id);
    }
}
