﻿using BPA.SAAS.Manage.Application.System.Dtos;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.system;

namespace BPA.SAAS.Manage.Application.System.Interface
{
    public interface IDictDataService
    {
        /// <summary>
        /// 查询字典信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<PageUtil> GetDictData(DictDataQueryDto dto);
        /// <summary>
        /// 添加字典信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> AddDictData(DictDataDto dto);
        Task<List<BPA_DictData>> GetDicList(string TypeCode);
        /// <summary>
        /// 修改字典信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> UpdateDictData(DictDataDto dto);
        /// <summary>
        /// 删除字典信息
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        Task<bool> BatchDelDictData(List<string> Ids);
    }
}