﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_bom")]
    public class BPA_Bom : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 配方名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        /// 配方编码
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string Code { get; set; }
        /// <summary>
        /// 1主料配方0 辅料配方
        /// </summary>           
        public bool IsMain { get; set; }


        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true)]
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方数据
        /// </summary>
        public string BOMInfo { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; } = 1;
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get; set; }
    }
}
