﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_bomentry")]
    public class BPA_BomEntry: IBaseEntity, IGroupId
    {
        /// <summary>
        /// 物料id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string BatchingId { get; set; }
        /// <summary>
        /// 物料intid
        /// </summary>
        public long BatchingKey { get; set; }
        /// <summary>
        /// 配方用量
        /// </summary>
        public decimal BomQty { get; set; }

        /// <summary>
        /// 配方id
        /// </summary>
        public string BomId { get; set; }
        /// <summary>
        /// 是否可替换
        /// </summary>
        public bool IsReplace { get; set; }
        /// <summary>
        /// 排序，小炒abc料获取
        /// </summary>
        public int sort { get; set; }
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get; set; }
    }
}
