﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Device
{
    [SugarTable("bpa_deviceinfo")]
    public class BPA_DeviceInfo: IBaseEntity, IGroupId
    {

        /// <summary> 
        ///  设备名称
        /// </summary> 
        public string DeviceName { get; set; }

        /// <summary> 
        ///  设备标签
        /// </summary> 
        public string DeviceTypeId { get; set; }
        /// <summary>
        ///归属场景（店铺）
        /// </summary>
        public string StopId { get; set; }
        /// <summary>
        /// 所属产品
        /// </summary>
        public string ProductId { get; set; }

        /// <summary>
        /// 产品标签
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        /// <summary>
        /// 设备AutoKey 唯一用于mqtt消息推送标识
        /// </summary>
        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true, IsIdentity = true)]
        public int AutoKey { get; set; }
        /// <summary>
        /// 产品版本
        /// </summary>
        public string ProductVersionId { get; set; }
        public string GroupId { get; set; }
        /// <summary>
        /// 支持工艺还是配方 0工艺 1配方
        /// </summary>
        public int TechnologyOrBom { get; set; }
    }
}
