﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Org
{
    /// <summary>
    /// 角色
    /// </summary>
    [SugarTable("bpa_roles")]
    public class BPA_Roles:IBaseEntity, IGroupId
    {
        /// <summary>
        /// 角色名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 角色类型-集团角色_0、加盟商角色_1、门店角色_2
        /// </summary>
        public int RoleType { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
    }
}
